Bug 43499 - processes hanging in D state
processes hanging in D state
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 05:31 EDT by roger espel llima
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"ps" and "cat /proc/meminfo" output from SMP server with 60+ stuck processes (9.69 KB, text/plain)
2001-06-05 05:32 EDT, roger espel llima
no flags Details

  None (edit)
Description roger espel llima 2001-06-05 05:31:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17-21mdk i686; Nav)

Description of problem:
After upgrading a RedHat 6.2 installation to kernel 2.2.19-6.2.1 compiled
for the 686, I get processes stuck in the D state.  This happens
occasionally, and doesn't seem to be following a pattern: once it was an
"rpm -Uvh" that got stuck, another time it was a postfix process, and
another time 70 httpd processes and a qmail got stuck.  In every case, if I
the box doesn't get too overloaded, the hung processes stay around for a
few hours, then eventually disappeared.  I've had this happen on two UP
boxes, and on one SMP server, all Pentium 3's running the .  None of these
machines were doing anything NFS related, nor accessing any slow devices.

How reproducible:
Couldn't Reproduce


Additional info:

It never happened to me with the previous kernel (the 2.2.14-based kernels
that came with the original rh 6.2), but it started happening as soon as I
upgraded to 2.2.19 to fix the setuid bug.
Comment 1 roger espel llima 2001-06-05 05:32:40 EDT
Created attachment 20292 [details]
"ps" and "cat /proc/meminfo" output from SMP server with 60+ stuck processes
Comment 2 roger espel llima 2001-06-11 11:42:23 EDT
it just happened again, with Apache processes getting stuck in "D" state on an
SMP box, running kernel-smp-2.2.19-6.2.1.i686.rpm.

this time I had time to run a "ps alnx", and found that the WCHAN field was
pointing to __wait_on_page, IP=122ad1.  running a "gdb
/boot/vmlinux-2.2.19-6.2.1smp" and then "disass __wait_on_page", and then
looking at mm/filemap.c in the kernel source, shows that the lockups happen on
the call to schedule() within __wait_on_page. 

i don't know much about kernel hacking, but this should at least point out to
where to start looking...
Comment 3 Bugzilla owner 2004-09-30 11:39:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.